API documentation | API docs for agents | OpenAPI 3.1

GET /api/v1/people

ark.search_people

Searches organization carrier people records, including drivers and dispatchers linked to carriers.

Availability
Core preview
Scopes
people:read
ARK permissions
canViewPeople
Team visibility
Not entity-scoped
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

typequerystring
one of: all, driver, dispatcher; default: "all"
qquerystring
min length: 1; max length: 100
carrier_idquerystring
format: uuid
limitqueryinteger
default: 25; min: 1; max: 100
offsetqueryinteger
default: 0; min: 0

Request body

None.

Example request

Shell
curl 'https://arktms.com/api/v1/people' \
  -H "Authorization: Bearer $ARK_API_TOKEN"

Success response

People search results

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied